require "responsive_image/version"

module ResponsiveImage
  class << self
    attr_writer :host
    attr_writer :media_types

    DEFAULT_HOST = "/"

    DEFAULT_MT_CONFIGURATION = [
      { :media_query => "(min-width: 480px)", :filename_suffix => "mobile" },
      { :media_query => "(min-width: 480px) and (min-device-pixel-ratio: 2.0)", :filename_suffix => "mobile_2x" },
      { :media_query => "(min-width: 768px)", :filename_suffix => "tablet" },
      { :media_query => "(min-width: 768px) and (min-device-pixel-ratio: 2.0)", :filename_suffix => "tablet_2x" },
      { :media_query => "(min-width: 1024px)", :filename_suffix => "desktop" },
      { :media_query => "(min-width: 1024px) and (min-device-pixel-ratio: 2.0)", :filename_suffix => "desktop_2x" }
    ]

    def host
      @host || DEFAULT_HOST
    end

    def media_types
      @media_types || DEFAULT_MT_CONFIGURATION
    end
  end
end

require "responsive_image/helpers"
require "responsive_image/railtie" if defined?(Rails)
