module ResponsiveImage
  module Helpers
    def self.create_picture(image, options = {})
      extension = File.extname(image)
      filename = File.basename(image, extension)

      if options[:config]
        ResponsiveImage.media_types = options[:config]
      end

      if options[:host]
        ResponsiveImage.host = options[:host]
      end

      element = ""
      element = "<picture>"
      element << "<!--[if IE 9]><video style='display: none;'><![endif]-->"
      ResponsiveImage.media_types.each do |source|
        srcfile = "#{filename}-#{source[:filename_suffix]}#{extension}"
        element << "<source srcset='#{ResponsiveImage.host}#{image_url(srcfile)}' media='#{source[:media_query]}'>"
      end
      element << "<!--[if IE 9]></video><![endif]-->"
      element << "<img srcset='#{ResponsiveImage.host}#{image_url(image)}' class='#{options[:html] ? options[:html][:class] : nil}' alt='#{options[:html] ? options[:html][:alt] : nil}'>"
      element << "</picture>"
      element
    end

    def self.image_url(image)
      "images/#{image}"
    end
  end
end
